package com.mortals.xhx.module.print.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.print.model.vo.PrintCatalogVo;
import lombok.Data;
/**
* 证照目录打印配置实体对象
*
* @author zxfei
* @date 2023-05-24
*/
@Data
public class PrintCatalogEntity extends PrintCatalogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long siteId;
    /**
    * 打印服务配置ID
    */
    private Long serviceId;
    /**
    * 证照目录ID
    */
    private Long catalogId;
    /**
    * 证照目录编号
    */
    private String catalogCode;
    /**
    * 目录名称
    */
    private String catalogName;
    /**
    * 证照目录模板ID
    */
    private Long templateId;
    /**
    * 证照模板名称
    */
    private String templateName;
    /**
    * 打印机名称
    */
    private String printerName;
    /**
    * 打印机网络地址
    */
    private String printerIp;
    /**
    * 打印机纸盒
    */
    private String paperSource;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PrintCatalogEntity) {
            PrintCatalogEntity tmp = (PrintCatalogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.siteId = -1L;

            this.serviceId = -1L;

            this.catalogId = -1L;

            this.catalogCode = "";

            this.catalogName = "";

            this.templateId = -1L;

            this.templateName = "";

            this.printerName = "";

            this.printerIp = "";

            this.paperSource = "";
    }
}